<!doctype html>
<html lang="es">
    <head>
        <meta charset="utf-8">
        <title>justify_content</title>
        <link rel="stylesheet" href="../css/ejemplos.css">
        <style>
            .flex {
                background-color: gray;
                display: flex;
                margin: .5em;
            }

            .flex > div {
                background-color: lightblue;
                border: 1px solid;
            }

            .flex-start {
                justify-content: flex-start;
            }

            .flex-end {
                justify-content: flex-end;
            }

            .center {
                justify-content: center;
            }

            .space-between {
                justify-content: space-between;
            }

            .space-around {
                justify-content: space-around;
            }

            .space-evenly {
                justify-content: space-evenly;
            }
        </style>
    </head>
    <body>
        <strong>flex-start:</strong>
        <div class="flex flex-start">
            <div>Elemento 1</div>
            <div>Elemento 2</div>
            <div>Elemento 3</div>
            <div>4</div>
            <div>5</div>
            <div>6</div>
            <div>7</div>
        </div>
        <strong>flex-end:</strong>
        <div class="flex flex-end">
            <div>Elemento 1</div>
            <div>Elemento 2</div>
            <div>Elemento 3</div>
            <div>4</div>
            <div>5</div>
            <div>6</div>
            <div>7</div>
        </div>
        <strong>center:</strong>
        <div class="flex center">
            <div>Elemento 1</div>
            <div>Elemento 2</div>
            <div>Elemento 3</div>
            <div>4</div>
            <div>5</div>
            <div>6</div>
            <div>7</div>
        </div>
        <strong>space-between:</strong>
        <div class="flex space-between">
            <div>Elemento 1</div>
            <div>Elemento 2</div>
            <div>Elemento 3</div>
            <div>4</div>
            <div>5</div>
            <div>6</div>
            <div>7</div>
        </div>
        <strong>space-around:</strong>
        <div class="flex space-around">
            <div>Elemento 1</div>
            <div>Elemento 2</div>
            <div>Elemento 3</div>
            <div>4</div>
            <div>5</div>
            <div>6</div>
            <div>7</div>
        </div>
        <strong>space-evenly:</strong>
        <div class="flex space-evenly">
            <div>Elemento 1</div>
            <div>Elemento 2</div>
            <div>Elemento 3</div>
            <div>4</div>
            <div>5</div>
            <div>6</div>
            <div>7</div>
        </div>
    </body>
</html>